2019-12-15 14:05 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000180Spring engineGeneralpublic2007-11-03 17:07
ReporterNemo 
Assigned Toimbaczek 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000180: beamlasers don't follow burstfire tag.
DescriptionJust what the title says: beamlasers (beamlaser=1;) only follow the reloadtime tag, and not the burstfire tag. So bursts of beamlasers are impossible.

Since they don't follow burst firing, they also don't use sprayangle to determine the amount of spray within a burst.

I imagine this is a simple tweak, and it would help modders out - anything we can do to squeeze functionality out of the engine is always useful =)
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
+Relationships

-Notes

~0000198

Nemo (reporter)

Just a quick add-on: The reason I want to use beamlasers is because they're currently the only weapon that doesn't have massive hit detection issues with very small units. Every other weapon type (default blob, .3do model, non-beam laser) will pass straight through units if they're moving quickly (weapon velocity 900) and attacking small units. Of course it would be amazing if these hit detection issues were addressed, but I'm guessing its easier to just let beamlasers use burst and bursttime tags.

~0001398

KDR_11k (reporter)

BTW, this was fixed in SVN, you have to set beamburst=1 since normally a beamlaser uses the burst to keep the beam shooting for the beamtime.

~0001402

imbaczek (reporter)

marking as fixed, then.
+Notes

-Issue History
Date Modified Username Field Change
2006-05-19 03:03 Nemo New Issue
2006-05-25 02:43 Nemo Note Added: 0000198
2007-11-03 09:47 KDR_11k Note Added: 0001398
2007-11-03 17:07 imbaczek Status new => resolved
2007-11-03 17:07 imbaczek Resolution open => fixed
2007-11-03 17:07 imbaczek Assigned To => imbaczek
2007-11-03 17:07 imbaczek Note Added: 0001402
+Issue History